Summary: A DNS (Domain Name System) server.
Name: bind
Version: 8.2.6
Release: 3tr
License: distributable
Group: Network/Services
Source0: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-%{version}-src.tar.gz
Source1: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-%{version}-doc.tar.gz
Source2: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-%{version}-contrib.tar.gz
Source3: named.init
Source4: named.logrotate
Source5: named-zones.tar.gz
Source6: named.conf
Url: http://www.isc.org/bind.html
Patch0: bind-8.1.2-rh.patch
Patch1: bind-8.1.2-nonlist.patch
Patch2: bind-8.1.2-fds.patch
Patch3: bind-8.2-host.patch
Patch4: bind-8.2.6-cache.patch
Patch5: bind-8.2.6-CAN-2003-0914-gd-1.diff
Buildroot: /var/tmp/%{name}-root
Prereq: tsl-utils chkconfig shadow-utils


%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named), 
which resolves host names to IP addresses, and a resolver library 
(routines for applications to use when interfacing with DNS).  A DNS 
server allows clients to name resources or objects and share the 
information with other network machines.  The named DNS server can be 
used on workstations as a caching name server, but is generally only 
needed on one machine for an entire network.  Note that the 
configuration files for making BIND act as a simple caching nameserver 
are included in the caching-nameserver package.  

Install the bind package if you need a DNS server for your network.  If
you want bind to act a caching name server, you will also need to install
the caching-nameserver package.

%package utils
Summary: Utilities for querying DNS name servers.
Group: Network/Utilities

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet hosts.
These tools will provide you with the IP addresses for given host names,
as well as other information about registered domains and network 
addresses.

You should install bind-utils if you need to get information from DNS name
servers.

%package devel
Summary: Include files and libraries needed for bind DNS development.
Group: Libraries/Development
Requires: bind

%description devel
The bind-devel package contains all the include files and the 
library required for DNS (Domain Name Service) development for 
BIND versions 8.x.x.

You should install bind-devel if you want to develop bind DNS
applications. If you install bind-devel, you'll also need to install
bind.

%prep
%setup -q -c -a 1 -a 2
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

rm -f compat/include/sys/cdefs.h

%build

make -C src
make clean all -C src SUBDIRS=../doc/man

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/{bin,lib,sbin}
mkdir -p ${RPM_BUILD_ROOT}/usr/share/man/{man1,man3,man5,man7,man8}
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/{init,rc0,rc1,rc2,rc3,rc4,rc5,rc6}.d
mkdir -p ${RPM_BUILD_ROOT}/var

make DESTDIR=$RPM_BUILD_ROOT install -C src
make DESTDIR=$RPM_BUILD_ROOT INSTALL=install install -C doc/man DESTMAN=/usr/share/man MANDIR="man" CATEXT="\$\$N"
install -c -m 755 src/bin/named-bootconf/Grot/named-bootconf.pl ${RPM_BUILD_ROOT}/usr/sbin/named-bootconf
install -c -m 755 $RPM_SOURCE_DIR/named.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/named
install -c -m 644 $RPM_SOURCE_DIR/named.conf ${RPM_BUILD_ROOT}/etc/named.conf
(cd $RPM_BUILD_ROOT/var; tar -zxf $RPM_SOURCE_DIR/named-zones.tar.gz)

#strip things
strip $RPM_BUILD_ROOT/usr/bin/* || :
strip $RPM_BUILD_ROOT/usr/sbin/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
install -c -m 644 %SOURCE4 $RPM_BUILD_ROOT/etc/logrotate.d/named

%pre
/usr/sbin/groupadd -r -f named 2>/dev/null || :
/usr/sbin/useradd -c "Named" \
	-s /bin/false -r -d /var/named -g named named 2>/dev/null || :

%post
# Restart service after upgrade.
/sbin/chkconfig --add named
/sbin/restart_maybe named

%preun
if [ $1 = 0 ]; then
/sbin/chkconfig --del named
/usr/sbin/userdel named 2>/dev/null || :
/usr/sbin/groupdel named 2>/dev/null || :
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc src/README src/INSTALL src/Version src/CHANGES 
%doc src/TODO
%doc doc/bog doc/html doc/misc doc/notes doc/rfc doc/tmac
%config /etc/logrotate.d/named
%config /etc/rc.d/init.d/named
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/named.conf
%dir %attr(0755,root,root) /var/named
%dir %attr(0755,root,root) /var/named/master
%dir %attr(0755,named,named) /var/named/slave
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /var/named/root.cache
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /var/named/master/127.0.0
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /var/named/master/chaos.zone
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /var/named/master/localdomain

/usr/sbin/dnskeygen
/usr/sbin/irpd
/usr/sbin/named
/usr/sbin/named-bootconf
/usr/sbin/named-xfer
/usr/sbin/ndc

/usr/share/man/man1/dnskeygen.1*
/usr/share/man/man5/named.conf.5*
/usr/share/man/man7/hostname.7*
/usr/share/man/man8/named.8*
/usr/share/man/man8/ndc.8*
/usr/share/man/man8/named-bootconf.8*
/usr/share/man/man8/named-xfer.8*

%files utils
%defattr(-,root,root)
/usr/bin/addr
/usr/bin/dig
/usr/bin/dnsquery
/usr/bin/host
/usr/bin/mkservdb
/usr/bin/nslookup
/usr/bin/nsupdate
/usr/lib/nslookup.help
/usr/share/man/man1/dig.1*
/usr/share/man/man1/dnsquery.1*
/usr/share/man/man1/host.1*
/usr/share/man/man5/irs.conf.5*
/usr/share/man/man5/resolver.5*
/usr/share/man/man8/nslookup.8*
/usr/share/man/man8/nsupdate.8*

%files devel
%defattr(-,root,root)
/usr/lib/bind
/usr/share/man/man3/getaddrinfo.3*
#/usr/share/man/man3/getnetent.3*
/usr/share/man/man3/hesiod.3*
/usr/share/man/man3/inet_cidr.3*
#/usr/share/man/man3/resolver.3*
/usr/share/man/man3/tsig.3*

%changelog
* Wed Nov 23 2003 Erlend Midttun <erlendbm@trustix.com> 8.2.6-3tr
- Added security fix, CAN 2003-0914.

* Thu Nov 14 2002 Erlend Midttun <erlendbm@trustix.com> 8.2.6-2tr
- Added security fix.

* Sun Jun 30 2002 Erlend Midttun <erlendbm@trustix.com> 8.2.6-1tr
- New upstream version fixes security issue.

* Thu Oct 04 2001 Hans Almsbakk <hansa@trustix.com>
-Updated to bind 8.2.5.

* Fri Jun 15 2001 Erlend Midttun <erlendbm@trustix.com>
- Trying to get named user and group correct.

* Wed May 23 2001 Erlend Midttun <erlendbm@trustix.com>
- Updated to bind 8.2.4.

* Mon Jan 29 2001 Erlend Midttun <erlendbm@trustix.com>
- Updated to 8.2.3 to fix yet another issue.

* Fri Jan 19 2001 Erlend Midttun <erlendbm@trustix.com>
- Added chkconfig to post.  Bug #69.

* Thu Nov 16 2000 Erlend Midttun <erlendbm@trustix.com>
- Fixed some missing %files

* Wed Nov 15 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated to 8.2.2_P7 which fixes a DoS attack.

* Thu Mar 13 2000 Erlend Midttun <erlendbm@trustix.com>
- Now even adds user before attempting to install.
- Added group named

* Thu Mar 02 2000 Lars Gaarden <larsg@trustix.com>
- Updatet named.init to provide sensible output when service not running

* Wed Mar 01 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated for Trustix
- Added default conf file
- Added default zones
- Moved manpages to comply with FHS

* Thu Feb 04 2000 Elliot Lee <sopwith@redhat.com>
- Pass named a '-u named' parameter by default, and add/remove user.

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix host mx bug (Bug #9021)

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies
- man pages are compressed

* Wed Jan 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- It's /usr/bin/killall, not /usr/sbin/killall (Bug #8063)

* Mon Jan 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up location of named-bootconf.pl and make it executable
(Bug #8028)
- bind-devel requires bind

* Mon Nov 15 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- update to 8.2.2-P5

* Wed Nov 10 1999 Bill Nottingham <notting@redhat.com>
- update to 8.2.2-P3

* Tue Oct 12 1999 Cristian Gafton <gafton@redhat.com>
- add patch to stop a cache only server from complaining about lame servers
on every request.

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- use real stop and start in named.init for restart, not ndc restart, it has
problems when named has changed during a package update... (# 4890)

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Jul 26 1999 Bill Nottingham <notting@redhat.com>
- fix installed chkconfig links to match init file

* Sat Jul  3 1999 Jeff Johnson <jbj@redhat.com>
- conflict with new (in man-1.24) man pages (#3876,#3877).

* Tue Jun 29 1999 Bill Nottingham <notting@redhat.com>
- fix named.logrotate (wrong %SOURCE)

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 8.2.1.
- add named.logrotate (#3571).
- hack around egcs-1.1.2 -m486 bug (#3413, #3485).
- vet file list.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Sun May 30 1999 Jeff Johnson <jbj@redhat.com>
- nslookup fixes (#2463).
- missing files (#3152).

* Sat May  1 1999 Stepan Kasal <kasal@math.cas.cz>
- nslookup patched:
  to count numRecords properly
  to fix subsequent calls to ls -d
  to parse "view" and "finger" commands properly
  the view hack updated for bind-8 (using sed)

* Wed Mar 31 1999 Bill Nottingham <notting@redhat.com>
- add ISC patch
- add quick hack to make host not crash
- add more docs

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add probing information in the init file to keep linuxconf happy
- dont strip libbind

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- removed 'done' output at named shutdown.

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- version 8.2

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to use the __FDS_BITS macro
- build for glibc 2.1

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- change named.restart to /usr/sbin/ndc restart

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- install man pages correctly.
- change K10named to K45named.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- don't start if /etc/named.conf doesn't exist.

* Sat Aug  8 1998 Jeff Johnson <jbj@redhat.com>
- autmagically create /etc/named.conf from /etc/named.boot in %post
- remove echo in %post

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in 5.1 mods

* Sun Apr 12 1998 Manuel J. Galan <manolow@step.es>
- Several essential modifications to build and install correctly.
- Modified 'ndc' to avoid deprecated use of '-'

* Mon Dec 22 1997 Scott Lampert <fortunato@heavymetal.org>
- Used buildroot
- patched bin/named/ns_udp.c to use <libelf/nlist.h> for include
  on Redhat 5.0 instead of <nlist.h>

